<template>
	<view class="mone">
		<template v-for="ls in cardInfo.model_imgs">
			<image :src="ls" class="image" mode="widthFix"></image>
		</template>
	</view>
</template>

<script>
	import {
		mapState,
	} from 'vuex';
	export default {
		props: {
			// 浏览数量
			shareNumber: {
				type: Number,
				default: 0
			},
			// 是否显示默认数据
			isDefault: {
				type: Boolean,
				default: true
			},
			isShare: {
				type: Boolean,
				default: false
			},
			//1为模板2为用户
			isLook: {
				type: Number,
				default: 0
			},
			templateDetail: {
				type: Object,
				default: () => {
					return {}
				}
			},
		},
		data() {
			return {
				defaults: {
					model_imgs: [
						'https://api.myjie.cn/resource/user/user4/img1.jpg',
						'https://api.myjie.cn/resource/user/user4/img3.png',
						'https://api.myjie.cn/resource/user/user4/img2.jpg',
					],
				}
			}
		},
		computed: {
			...mapState(['baseURL']),
			cardInfo() {
				if (this.isDefault) {
					return this.defaults
				} else {
					console.log(this.templateDetail, 'this.templateDetail')
					return this.templateDetail
				}
			}
		},
	}
</script>

<style lang="scss" scoped>
	.mone {
		display: flex;
		flex-direction: column;
		line-height: 0;

		.image {
			border: 0px solid rgba(0,0,0,0);
			width: 750rpx;
		}
	}
</style>